Which build of the DICOM viewer am I using?





Since July 1st 2009, there are 2 types of DICOM viewers: the 32bit viewer and the new x64 viewer.
The 'old' 32bit DICOM viewer will not work on any 64bit operating system due to outdated hardware key drivers. Also, 'old' hardware keys will not work on any 64bit system or on Windows 7 and up.
The x64 version of the viewer runs on both 32bit and 64bit Windows.

Check which viewer (32bit or x64) you are using, go to the 'About' box via the menu (Help/About). On the bottom of the about box, you can find the build number.
-If there is nothing display below this line, you are using the old 32bit viewer.
-If there is displayed 'Keynr: 32bit version', you are using the old 32bit viewer.
-If there is displayed 'Keynr:' and anything other than above, you are using the new viewer with 64bit drivers.

The new viewer is available since July 1st 2009 and requires different drivers and possibly a new hardware key. Read this document to see if you can upgrade: Upgrading HASP drivers

To check if a new version of your viewer is available, go to Update the viewer.

The 32bit viewer is not maintained anymore. See the upgrading link above whether you need to replace your hardware key.